package aalg.crypto;

public interface ISymmetricStreamCipher extends IStreamCipher {
	/**
	 * Returns encryptor.
	 * @return encryptor
	 */
	@Override
	public ISymmetricStreamEncryptor getEncryptor();
	
	/**
	 * Returns decryptor.
	 * @return decryptor
	 */
	@Override
	public ISymmetricStreamDecryptor getDecryptor();
	
	/**
	 * Returns required size of symmetric key in bytes. 
	 * @return key size in bytes
	 */
	public int getKeySize();
}
